// Ex0701: フルカラー LED16個
#include <FastLED.h>

// LED 16個
const int DATA_PIN = 19; // LEDの接続ピン
const int NUM_LEDS = 16; // LEDの個数
CRGB leds[NUM_LEDS]; // LED用の配列

void setup() {
  // led
  FastLED.addLeds<WS2812B, DATA_PIN, GRB>(leds, NUM_LEDS); // 初期設定
  FastLED.setBrightness(32); // 最大の明るさ 0-255
}

void loop() {
  static int pos; // 点灯位置
  leds[pos] = CRGB(0, 255, 0); // 点灯色：緑
  pos++;
  if (pos > NUM_LEDS) {
    pos = 0;
    fill_solid(leds, NUM_LEDS, CRGB(0,0,0)); // すべて消灯
  }
  FastLED.show(); // 表示を更新
  delay(1000); // 1秒毎に更新
}
